AtteanX::Parser::Turtle(3pm)

NAME
AtteanX::Parser::Turtle - Turtle RDF Parser

VERSION
This document describes AtteanX::Parser::Turtle version 0.035

SYNOPSIS
 use Attean;
 my $parser     = AtteanX::Parser::Turtle->new( handler => sub {...}, base => $base_iri );

 # Parse data from a file-handle and handle triples in the 'handler' callback
 $parser->parse_cb_from_io( $fh );

 # Parse the given byte-string, and return an iterator of triples
 my $iter = $parser->parse_iter_from_bytes('<s> <p> 1, 2, 3 .');
 while (my $triple = $iter->next) {
   print $triple->as_string;
 }

DESCRIPTION
This module implements a parser for the Turtle RDF format.

ROLES
This class consumes Attean::API::Parser, Attean::API::PushParser, <Attean::API::AbbreviatingParser>, and <Attean::API::TripleParser>.

ATTRIBUTES

"canonical_media_type"
"media_types"
"file_extensions"
"canonicalize"
    A boolean indicating whether term values should be canonicalized during parsing.

"blank_nodes"
"has_blank_nodes_map"

METHODS

"has_namespaces"
    Returns true if the parser has a namespace map, false otherwise.

parse_cb_from_io( $fh )
    Calls the "$parser->handler" function once for each Attean::API::Binding object that result from parsing the data read from the IO::Handle object $fh.

parse_cb_from_bytes( $data )
    Calls the "$parser->handler" function once for each Attean::API::Binding object that result from parsing the data read from the UTF-8 encoded byte string $data.

"parse_term_from_bytes ( $bytes )"
"parse_node ( $bytes )"
    Returns the Attean::API::Term object corresponding to the node whose N-Triples serialization is found at the beginning of $bytes.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2022 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.